# std::ios_base::failure Class Reference

Inheritance diagram for std::ios_base::failure:

List of all members.

## Detailed Description

Definition at line 207 of file ios_base.h.

## Public Member Functions

- failure (const string &__str) throw ()
- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* std::ios_base::failure::what | ( |  | ) | const throw ()`[virtual]`

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- ios_base.h